io.undertow.server.handlers

## Class LocalNameResolvingHandler

- java.lang.Object
- - io.undertow.server.handlers.LocalNameResolvingHandler

All Implemented Interfaces:
  HttpHandler

    public class LocalNameResolvingHandler
    extends Object
    implements HttpHandler

A handler that performs DNS lookup to resolve a local address. Unresolved local address may be created when a front end server has sent a X-forwarded-host header or AJP is in use

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `LocalNameResolvingHandler.Builder`
`static class` `LocalNameResolvingHandler.ResolveType`

### Constructor Summary

Constructors
Constructor and Description
`LocalNameResolvingHandler(HttpHandler next)`
`LocalNameResolvingHandler(HttpHandler next, LocalNameResolvingHandler.ResolveType resolveType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalNameResolvingHandler

    public LocalNameResolvingHandler(HttpHandler next)

#### LocalNameResolvingHandler

    public LocalNameResolvingHandler(HttpHandler next,
                                     LocalNameResolvingHandler.ResolveType resolveType)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`